--- a/client/CMakeLists.txt
+++ b/client/CMakeLists.txt
@@ -16,14 +16,14 @@
 
 INCLUDE_DIRECTORIES(
   ${CMAKE_SOURCE_DIR}/include
-  ${PCRE_INCLUDES}
   ${CMAKE_SOURCE_DIR}/mysys_ssl
-  ${ZLIB_INCLUDE_DIR}
-  ${SSL_INCLUDE_DIRS}
   ${CMAKE_SOURCE_DIR}/sql
   ${CMAKE_SOURCE_DIR}/strings
-  ${MY_READLINE_INCLUDE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
+  ${SSL_INCLUDE_DIRS}
+  ${PCRE_INCLUDES}
+  ${ZLIB_INCLUDE_DIR}
+  ${MY_READLINE_INCLUDE_DIR}
 )
 
 INCLUDE_DIRECTORIES(BEFORE
--- a/libmariadb/libmariadb/CMakeLists.txt
+++ b/libmariadb/libmariadb/CMakeLists.txt
@@ -315,7 +315,7 @@
     win32_errmsg.h)
 ELSE()
   IF(ICONV_INCLUDE_DIR)
-     INCLUDE_DIRECTORIES(BEFORE ${ICONV_INCLUDE_DIR}) 
+     INCLUDE_DIRECTORIES(${ICONV_INCLUDE_DIR})
   ENDIF()
   IF(APPLE)
     ADD_DEFINITIONS(-Wno-deprecated-declarations)
--- a/libmysqld/CMakeLists.txt
+++ b/libmysqld/CMakeLists.txt
@@ -22,10 +22,10 @@
 ${CMAKE_SOURCE_DIR}/libmysqld
 ${CMAKE_SOURCE_DIR}/sql
 ${CMAKE_BINARY_DIR}/sql 
+${SSL_INTERNAL_INCLUDE_DIRS}
+${SSL_INCLUDE_DIRS}
 ${PCRE_INCLUDES}
 ${ZLIB_INCLUDE_DIR}
-${SSL_INCLUDE_DIRS}
-${SSL_INTERNAL_INCLUDE_DIRS}
 )
 
 SET(GEN_SOURCES
--- a/plugin/feedback/CMakeLists.txt
+++ b/plugin/feedback/CMakeLists.txt
@@ -1,6 +1,6 @@
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/sql
-                    ${PCRE_INCLUDES}
-                    ${SSL_INCLUDE_DIRS})
+                    ${SSL_INCLUDE_DIRS}
+                    ${PCRE_INCLUDES})
 
 SET(FEEDBACK_SOURCES feedback.cc sender_thread.cc
     url_base.cc url_http.cc utils.cc)
--- a/sql/CMakeLists.txt
+++ b/sql/CMakeLists.txt
@@ -38,10 +38,10 @@
 INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/include
 ${CMAKE_SOURCE_DIR}/sql 
+${CMAKE_BINARY_DIR}/sql
+${SSL_INCLUDE_DIRS}
 ${PCRE_INCLUDES}
 ${ZLIB_INCLUDE_DIR}
-${SSL_INCLUDE_DIRS}
-${CMAKE_BINARY_DIR}/sql
 ${WSREP_INCLUDES}
 )
 

--- a/storage/perfschema/CMakeLists.txt
+++ b/storage/perfschema/CMakeLists.txt
@@ -23,8 +23,8 @@
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include
                     ${CMAKE_SOURCE_DIR}/sql
                     ${CMAKE_BINARY_DIR}/sql
-                    ${PCRE_INCLUDES}
-                    ${SSL_INCLUDE_DIRS})
+                    ${SSL_INCLUDE_DIRS}
+                    ${PCRE_INCLUDES})
 
 ADD_DEFINITIONS(-DMYSQL_SERVER)
 
--- a/storage/perfschema/unittest/CMakeLists.txt
+++ b/storage/perfschema/unittest/CMakeLists.txt
@@ -22,11 +22,11 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include
                     ${CMAKE_SOURCE_DIR}/include/mysql
-                    ${PCRE_INCLUDES}
                     ${CMAKE_SOURCE_DIR}/sql
-                    ${SSL_INCLUDE_DIRS}
                     ${CMAKE_SOURCE_DIR}/unittest/mytap
-                    ${CMAKE_SOURCE_DIR}/storage/perfschema)
+                    ${CMAKE_SOURCE_DIR}/storage/perfschema
+                    ${SSL_INCLUDE_DIRS}
+                    ${PCRE_INCLUDES})
 
 ADD_DEFINITIONS(-DMYSQL_SERVER ${SSL_DEFINES})
 
